Unit iah3e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure iah3e(A :Extended; B :Extended; var C :Array of Extended;
                N :Integer; X :Extended; var RES :Extended);

implementation

procedure iah3e(A :Extended; B :Extended; var C :Array of Extended;
                N :Integer; X :Extended; var RES :Extended);
var
J,JN2 :Integer;
D,DD,Y,Y2,SV :Extended;
label
_10;
begin
D := 0.0e0;
DD := 0.0e0;
Y := (2*X-A-B)/(B-A);
Y2 := 2.0e0*Y;
for J:=2 to N do
 begin
  SV := D;
  JN2 := N+2-J;
  D := Y2*D-DD+C[JN2-1];
  DD := SV;
_10:
 end;
RES := Y*D-DD+0.5e0*C[0];
end;

end.
